<div *ngIf="!isview">
    <h2>
        <span>Approval Purchase Order</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing"
            [routerLink]="['/purchasing-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Buat Purchase Order
            </span>
        </button> -->
    </h2>
    <jhi-alert></jhi-alert>
    <div>
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Tanggal</label>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                            </div>
                            <!-- <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">PIC</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-dropdown [options]="pics" [(ngModel)]="selectedPIC" id="field_PIC" [style]="{'width':'100%'}">
                                </p-dropdown>
                                </div>
                            </div> -->
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                    (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                                    field="nmSupplier" placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                                    [dropdown]="true" tabindex=1></p-autoComplete>
                                </div>
                            </div>
                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="search('')">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Cari Nomor PO">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
            <br>
            <!-- <button class="btn btn-primary" *jhiHasAnyAuthority="['ROLE_MGR_PRC']" (click)="approveEdit()"
                [disabled]="selected.length === 0">
                <span class="fa fa-pencil"></span>
                <span class="hidden-sm-down">
                    Approve Edit
                </span>
            </button> -->
        </div>
    </div>
    <br />
    <p-dataTable [value]="purchasings" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idpurchasing" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
        <p-header>
        </p-header>
        <!-- <p-column selectionMode="multiple" [style]="{'width':'38px'}" *jhiHasAnyAuthority="['ROLE_MGR_PRC']"></p-column> -->
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor PO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nopurchasing}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtcreated | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Approve">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtaproved | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Kirim Ke">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.sentto}}
            </ng-template>
        </p-column>
        <p-column header="Pembuat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.createdby}}
            </ng-template>
        </p-column>
        <p-column header="Lama Kredit">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tenor}}
            </ng-template>
        </p-column>
        <p-column header="Suplier">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nm_supplier}}
            </ng-template>
        </p-column>
        <p-column header="Otorisasi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.otorisasi}}
            </ng-template>
        </p-column>
        <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.DescStatus}}
            </ng-template>
        </p-column>
        <p-column header="Revisi Eksternal">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.revision}}
            </ng-template>
        </p-column>
        <p-column header="Revisi Internal">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.revision_internal}}
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div class="ui-g-3">
                    <button pButton type="button"
                        [routerLink]="['../purchasing-edit/' + rowData.idpurchasing + '/true']" icon="fa-eye"
                        class="flat-button" pTooltip="Lihat PO" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                    </button>
                </div>
                <div class="ui-g-3" *ngIf="rowData.idStatusType !== 17 && rowData.idStatusType !== 13 && rowData.idStatusType !== 26">
                    <button pButton type="button" icon="fa-pencil" class="flat-button" (click)="editPO(rowData)"
                        pTooltip="Edit PO" *jhiHasAnyAuthority="['ROLE_MGR_PRC','ROLE_USER']">
                    </button>
                </div>
                <div class="ui-g-3">
                    <button pButton type="button" icon="fa-print" class="flat-button" (click)="printPO(rowData)"
                        pTooltip="Print PO" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                    </button>
                </div>
                <div class="ui-g-3" *ngIf="rowData.idStatusType === 29">
                    <button pButton type="button" icon="fa fa-check" class="flat-button" (click)="approvePO(rowData)"
                        pTooltip="Approve PO" *jhiHasAnyAuthority="['ROLE_MGR_PRC']">
                    </button>
                </div>
                <div class="ui-g-3" *ngIf="rowData.idStatusType === 29">
                    <button pButton type="button" icon="fa fa-close" class="flat-button" (click)="notApprovePO(rowData)"
                        pTooltip="Not Approve PO" *jhiHasAnyAuthority="['ROLE_MGR_PRC']">
                    </button>
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div *ngIf="isview">
    <form name="printForm" role="form" novalidate #editForm="ngForm">
        <div>
            <button pButton type="submit" label="print" icon="fa-print" class=" ui-button-success flat-label-button"
                (click)="print()" [disabled]="purchasing.idStatusType === 10 || purchasing.idStatusType === 12 || purchasing.idStatusType === 29 || purchasing.idStatusType === 13">
            </button>
            <button  pButton type="submit" label="Download" icon="fa-download" class="ui-button-info flat-label-button"
                (click)="downloadBlob()">
            </button>
            <button pButton type="submit" label="Lihat Tanpa Harga" icon="fa-eye" class="ui-button-warning flat-label-button"
                (click)="printtanpaharga()">
            </button>
            <button pButton type="submit" label="Lihat dengan Harga" icon="fa-eye" class="ui-button-primary flat-label-button"
                (click)="lihatHarga()">
            </button>
            <button  pButton label="Back" class="ui-button-danger flat-label-button" (click)="backMainPage()">
            </button>
        </div>
        <div>
            <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true"></pdf-viewer>
        </div>
    </form>
</div>
<p-dialog header="Pilih Kabag" [(visible)]="newModal" modal="true" [width]="700">
    <form name="selectForm" role="form" novalidate (ngSubmit)="printFromModal()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <select class="form-control" id="field_kabag" name="kabag" [(ngModel)]="selectedKabag">
                <option [ngValue]="kabags.value" *ngFor="let kabags of kabag">{{kabags.label}}</option>
            </select>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Pilih Metode Approve" [(visible)]="modalApprove" modal="true" [width]="400" (onHide)="hide()">
    <form name="selectForm" role="form" novalidate #editForm="ngForm">
        <div *ngIf="!isInputPass">
            <button pButton label="Dengan Password" icon="fa-save" class="ui-button-primary flat-label-button"
            (click)="withPass()">
        </button>
        <button pButton label="Tanpa Password" icon="fa-save" class="ui-button-primary flat-label-button"
            (click)="withoutPass()">
        </button>
        </div>
        <div *ngIf="isInputPass">
            <input type="password" class="form-control" id="pass" name="pass" 
            placeholder="Private Password" [(ngModel)]="privatePassword" minlength=4 maxlength=50 required>
            <button pButton label="Approve" icon="fa-save" class="ui-button-primary flat-label-button"
            (click)="withPrivatePass()">
        </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Catatan" [(visible)]="newModalNote" modal="true" [width]="700">
    <form name="notesForm" role="form" novalidate (ngSubmit)="setNotApprovePO()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="notes2" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="ketNotApp">
            </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Not Approve" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Pilih Cetakan" [(visible)]="modalPilihCeteakn" modal="true" [width]="400">
    <form name="Pilih" role="form" novalidate #editForm="ngForm">
        <div>
            <button pButton label="Bahasa Inggris" icon="fa-save" class="ui-button-primary flat-label-button"
                (click)="pilihPrintPO('inggris')">
            </button>
            <button pButton label="Bahasa Indonesia" icon="fa-save" class="ui-button-primary flat-label-button"
                (click)="pilihPrintPO('indonesia')">
            </button>
        </div>
    </form>
</p-dialog>